module PramataFileDelivery
  class ContractController < PramataFileDelivery.base_controller
    before_action :start
    def pdf
      # render json: {}.to_json
      # return
      res = get_object "contract_file/po_number/#{@pramata_number}.pdf"
      send_data res.read, :type => "application/pdf", :disposition => 'inline'
    end

    def get_object key
      t = @tenant
      s3 = Aws::S3::Client.new(
        region:               t.s3_region,
        access_key_id:        t.s3_access_key,
        secret_access_key:    t.s3_access_secret
      )
      s3.get_object(key: key, bucket: t.s3_bucket_name).body
    end

    private
    def start
      @pramata_number = params[:pramata_number]
      @page_number = params[:page_number]
      @tenant = tenant
    end
  end
end
